# This is an example Starter pipeline configuration
# Use a skeleton to build, test and deploy using manual and parallel steps
# -----
# You can specify a custom docker image from Docker Hub as your build environment.

image: php:7.3-fpm

# pipelines:
#   # default - contains the steps that will run on every push.
#   # default:
#   branches:
#    # You can include your custom branches and the steps you'd like to undertake e.g. testing
#    #staging:
#    staging-v4:
#     - step:
#        name: Deploy to staging
#        deployment: staging
#        script:
#          - pipe: atlassian/ssh-run:0.3.0
#            variables:
#              SSH_USER: $STAGING_USER
#              SERVER: $STAGING_IP
#              PORT: $STAGING_PORT
#              SSH_KEY : $STAGING_SSH_KEY
#              MODE: 'script'
#              COMMAND: 'staging-slymanbros.sh'

pipelines:
  branches:
    release/*:
      - step:
          name: Deploy to release
          script:
            - chmod +x create-pr.sh
            - ./create-pr.sh
    hotfix/*:
      - step:
          name: Deploy to hotfix
          script:
            - chmod +x create-pr.sh
            - ./create-pr.sh
